API reference

Platforms

Sub-keys for platforms, and providers serving their own endpoint.

On this page

GET/v1/platform/keys

The platform's sub-keys.

Auth: API key: Authorization: Bearer sk_…

No parameters.

GET /v1/platform/keys

curl
curl https://api.usdf.fi/v1/platform/keys \
  -H "Authorization: Bearer $USDF_API_KEY"

POST/v1/platform/keys/{id}/revoke

Revokes one sub-key.

Auth: API key: Authorization: Bearer sk_…

NameTypeRequiredDescription
idstringYesPath. The sub-key id.

POST /v1/platform/keys/{id}/revoke

curl
curl -X POST https://api.usdf.fi/v1/platform/keys/{id}/revoke \
  -H "Authorization: Bearer $USDF_API_KEY"

GET/v1/platform/usage

Usage across sub-keys.

Auth: API key: Authorization: Bearer sk_…

No parameters.

GET /v1/platform/usage

curl
curl https://api.usdf.fi/v1/platform/usage \
  -H "Authorization: Bearer $USDF_API_KEY"

GET/v1/providers

Registered providers.

Auth: None

No parameters.

GET /v1/providers

curl
curl https://api.usdf.fi/v1/providers

POST/v1/providers

Registers your own endpoint.

Auth: Session, not an API key: Authorization: Bearer <session token>. See Sign in.

No parameters.

POST /v1/providers

curl
curl -X POST https://api.usdf.fi/v1/providers \
  -H "Authorization: Bearer $SESSION"

GET/v1/referrals

The account's referrals.

Auth: API key (Authorization: Bearer sk_…) or a session

No parameters.

GET /v1/referrals

curl
curl https://api.usdf.fi/v1/referrals \
  -H "Authorization: Bearer $USDF_API_KEY"
Foundry documentation